Name:           mpc-qt
Version:        25.07
Release:        %mkrel 1
Summary:        Media Player Classic Qute Theater
License:        GPLv2+
Group:          Video/Players
Url:            https://github.com/mpc-qt/mpc-qt
Source0:        https://github.com/mpc-qt/mpc-qt/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  boost-devel
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  pkgconfig(mpv) >= 0.35

%description
A clone of Media Player Classic reimplemented in Qt.

%prep
%setup -q -n %{name}-%{version}

rm -rf mpv-dev

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%doc README.md DOCS/ipc.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/io.github.mpc_qt.%{name}.desktop
%{_iconsdir}/hicolor/scalable/*/%{name}.svg
%{_metainfodir}/io.github.mpc_qt.%{name}.appdata.xml


%changelog
* Sat Jul 05 2025 daviddavid <daviddavid> 25.07-1.mga10
+ Revision: 2246982
- new version: 25.07

* Mon Jun 30 2025 umeabot <umeabot> 24.12-2.mga10
+ Revision: 2231408
- Mageia 10 Mass Rebuild

* Mon Dec 09 2024 daviddavid <daviddavid> 24.12-1.mga10
+ Revision: 2123131
- new version: 24.12

* Thu Jul 04 2024 daviddavid <daviddavid> 24.06-1.mga10
+ Revision: 2079669
- new version: 24.06

* Thu May 09 2024 daviddavid <daviddavid> 23.12-1.mga10
+ Revision: 2063191
- new version: 23.12
- switch to Qt6

* Sun Nov 13 2022 kekepower <kekepower> 22.02-1.mga9
+ Revision: 1906854
- Update to version 22.02
- Update URLs
- Rebuild for new mpv 0.35.0

* Mon Apr 04 2022 umeabot <umeabot> 20.10-2.mga9
+ Revision: 1843290
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 daviddavid <daviddavid> 20.10-1.mga8
+ Revision: 1659371
- new version: 20.10

* Thu Dec 17 2020 umeabot <umeabot> 18.08-4.mga8
+ Revision: 1659063
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 18.08-3.mga8
+ Revision: 1524832
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 umeabot <umeabot> 18.08-2.mga7
+ Revision: 1383481
- Qt5 Rebuild

* Sun Feb 17 2019 daviddavid <daviddavid> 18.08-1.mga7
+ Revision: 1368045
- initial package mpc-qt

